## kdelibs4support 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
project(KDELibs4Support VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(GenerateExportHeader)
include(CMakeFindFrameworks)

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network Widgets DBus Test Svg PrintSupport Designer)

find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DesignerPlugin ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Emoticons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5UnitConversion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KDED ${KF5_DEP_VERSION} REQUIRED)

if(WIN32)
    find_package(KDEWin REQUIRED)
endif()

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()
set(HAVE_X11 ${X11_FOUND})
if (HAVE_X11)
  add_feature_info("X11 Session Management (libSM)" X11_SM_FOUND "Support for session management in KApplication")
  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
  find_package(XCB REQUIRED COMPONENTS XCB)
endif ()
if (APPLE)
    cmake_find_frameworks(CoreFoundation)
endif ()

include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDELIBS4SUPPORT
                                 VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h"
                                 PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
                                 SOVERSION 5)

# QUrl
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_USE_QSTRINGBUILDER)
# TODO: use QT_USE_QSTRINGBUILDER instead of deprecated & undocumented QT_USE_FAST_OPERATOR_PLUS
add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0)

# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
    -DKDELIBS4SUPPORT_DEPRECATED= # if KDELIBS4SUPPORT_DEPRECATED is already defined the other deprecated macros won't be defined
    -DKDELIBS4SUPPORT_DEPRECATED_NO_EXPORT=KDELIBS4SUPPORT_NO_EXPORT
    -DKDELIBS4SUPPORT_DEPRECATED_EXPORT=KDELIBS4SUPPORT_EXPORT
)

add_definitions(-DTRANSLATION_DOMAIN=\"kdelibs4support\")

add_executable(kf5-config kde-config.cpp )
ecm_mark_nongui_executable(kf5-config)

target_link_libraries(kf5-config KF5::CoreAddons KF5::I18n KF5::ConfigCore KF5::KDELibs4Support)
target_include_directories(kf5-config PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../..")

install(TARGETS kf5-config ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDELibs4Support")

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDELibs4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5KDELibs4SupportTargets.cmake
        NAMESPACE KF5::)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
        COMPONENT Devel)



#
# Compatibility file
#
set(CMAKECONFIG_COMPAT_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDE4Support")
if(BUILD_SHARED_LIBS)
    set(KDELibs4Support_LIB_TYPE SHARED)
else()
    set(KDELibs4Support_LIB_TYPE STATIC)
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDE4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    VERSION ${KF5_VERSION}
    COMPATIBILITY AnyNewerVersion
)
install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
    COMPONENT Devel
)



if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(cmake)
add_subdirectory(data)
add_subdirectory(docs)
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()


set (KDE_VERSION_MAJOR 4)
set (KDE_VERSION_MINOR 90)
set (KDE_VERSION_RELEASE 00)
set (KDE_VERSION "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}" )
# For git master, use this:
set (KDE_VERSION_STRING "${KDE_VERSION} (KDE Frameworks >= 20121130)")
# For a stable release, use this:
#set (KDE_VERSION_STRING "${KDE_VERSION}")

include(CreateKDELibsDependenciesFile.cmake)
set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KDELibs4)

# Used in configure_file() and install(EXPORT)
set(KDE4_TARGET_PREFIX KDE4__)

################# install files #################

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/KDELibsDependencies.cmake
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/kde4_cmake_uninstall.cmake.in
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/Win32.Manifest.in
         DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)

# run a script before installing the exports files which deletes previously installed
# configuration specific export files KDELibs4(Library|Tools)Targets-<config>.cmake
# if the main exports file KDELibs4(Library|Tools)Targets.cmake has changed. This makes sure
# that this main file doesn't include older and different configuration specific exports files,
# which might have a different set of targets or targets with different names.
# The code for installing the exports files will soon go into a macro. Alex
install(CODE "set(EXPORT_FILES KDELibs4LibraryTargets.cmake)"
        CODE "set(EXPORT_INSTALL_DIR \"${CMAKECONFIG_INSTALL_DIR}\")"
        SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/check_installed_exports_file.cmake" )
install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        NAMESPACE ${KDE4_TARGET_PREFIX}
        FILE KF5KDELibs4LibraryTargets.cmake
        COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (HAVE_X11 AND NOT X11_SM_FOUND)
  message(FATAL_ERROR "The X11 Session Management library (libSM) is required when building on X11.")
endif()

=== cmake/modules-tests/Eigen2/CMakeLists.txt ===
include("${CMAKE_CURRENT_SOURCE_DIR}/../TestFindPackage.cmake")

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../modules" )

test_find_package(Eigen2  EIGEN2  INCLUDE_DIR )

=== debian/changelog ===
kdelibs4support (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:20 +0900

kdelibs4support (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kdelibs4support (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

kdelibs4support (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:53 +0900

kdelibs4support (5.74.0-3) unstable; urgency=medium

  * Team upload.
  * Re-add dependencies to libkf5kdelibs4support-dev, needed by the cmake
    config module: kinit-dev, libkf5auth-dev, libkf5archive-dev,
    libkf5coreaddons-dev, and libkf5itemmodels-dev. (Closes: #972606)
  * Remove unused 'acc' autopkgtest files.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Oct 2020 09:28:54 +0200

kdelibs4support (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

  [ Sandro Knauß ]
  * Update dependency list for dev package.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:37 +0200

kdelibs4support (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Remove old dependencies from libkf5kdelibs4support-dev.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:55 +0200

=== debian/control ===
Source: kdelibs4support
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               kded5-dev (>= 5.78.0~),
               kgendesignerplugin (>= 5.78.0~),
               libintl-perl,
               libkf5completion-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5configwidgets-dev (>= 5.78.0~),
               libkf5crash-dev (>= 5.78.0~),
               libkf5dbusaddons-dev (>= 5.78.0~),
               libkf5doctools-dev (>= 5.78.0~),
               libkf5emoticons-dev (>= 5.78.0~),
               libkf5globalaccel-dev (>= 5.78.0~),
               libkf5guiaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5iconthemes-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5notifications-dev (>= 5.78.0~),
               libkf5parts-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               libkf5textwidgets-dev (>= 5.78.0~),
               libkf5unitconversion-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libkf5windowsystem-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.78.0~),
               libqt5svg5-dev (>= 5.14.0~),
               libqt5x11extras5-dev (>= 5.14.0~),
               libsm-dev,
               libssl-dev,
               liburi-perl,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.14.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kdelibs4support
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdelibs4support
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdelibs4support.git
Rules-Requires-Root: no

Package: libkf5kdelibs4support-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains the data files used by kdelibs4support.

Package: libkf5kdelibs4support-dev
Section: libdevel
Architecture: any
Depends: kgendesignerplugin (>= 5.78.0~),
         kinit-dev (>= 5.74.0~),
         libkf5archive-dev (>= 5.74.0~),
         libkf5auth-dev (>= 5.74.0~),
         libkf5configwidgets-dev (>= 5.78.0~),
         libkf5coreaddons-dev (>= 5.74.0~),
         libkf5crash-dev (>= 5.78.0~),
         libkf5dbusaddons-dev (>= 5.78.0~),
         libkf5doctools-dev (>= 5.78.0~),
         libkf5emoticons-dev (>= 5.78.0~),
         libkf5globalaccel-dev (>= 5.78.0~),
         libkf5guiaddons-dev (>= 5.78.0~),
         libkf5iconthemes-dev (>= 5.78.0~),
         libkf5itemmodels-dev (>= 5.74.0~),
         libkf5kdelibs4support5 (= ${binary:Version}),
         libkf5kdelibs4support5-bin (= ${binary:Version}),
         libkf5notifications-dev (>= 5.78.0~),
         libkf5parts-dev (>= 5.78.0~),
         libkf5textwidgets-dev (>= 5.78.0~),
         libkf5unitconversion-dev (>= 5.78.0~),
         libkf5windowsystem-dev (>= 5.78.0~),
         libqt5svg5-dev (>= 5.14.0~),
         libqt5x11extras5-dev (>= 5.14.0~),
         libssl-dev,
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Description: development files for kde4support
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.
 .
 Contains development files for kde4support.
Breaks: libkf5holidays-dev (<< 1:5.54)

Package: libkf5kdelibs4support5
Architecture: any
Depends: libkf5kdelibs4support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
Multi-Arch: same
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.

Package: libkf5kdelibs4support5-bin
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains binaries and plugins from kdelibs4support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kdelibs4support-([\d.]+)\.tar\.xz

## kdelibs4support 5.80.0

=== debian/changelog ===
kdelibs4support (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:07 +0000

kdelibs4support (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,30 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
-               kded5-dev (>= 5.78.0~),
-               kgendesignerplugin (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               kded5-dev (>= 5.80.0~),
+               kgendesignerplugin (>= 5.80.0~),
                libintl-perl,
-               libkf5completion-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5configwidgets-dev (>= 5.78.0~),
-               libkf5crash-dev (>= 5.78.0~),
-               libkf5dbusaddons-dev (>= 5.78.0~),
-               libkf5doctools-dev (>= 5.78.0~),
-               libkf5emoticons-dev (>= 5.78.0~),
-               libkf5globalaccel-dev (>= 5.78.0~),
-               libkf5guiaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5iconthemes-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5notifications-dev (>= 5.78.0~),
-               libkf5parts-dev (>= 5.78.0~),
-               libkf5service-dev (>= 5.78.0~),
-               libkf5textwidgets-dev (>= 5.78.0~),
-               libkf5unitconversion-dev (>= 5.78.0~),
-               libkf5widgetsaddons-dev (>= 5.78.0~),
-               libkf5windowsystem-dev (>= 5.78.0~),
-               libkf5xmlgui-dev (>= 5.78.0~),
+               libkf5completion-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5configwidgets-dev (>= 5.80.0~),
+               libkf5crash-dev (>= 5.80.0~),
+               libkf5dbusaddons-dev (>= 5.80.0~),
+               libkf5doctools-dev (>= 5.80.0~),
+               libkf5emoticons-dev (>= 5.80.0~),
+               libkf5globalaccel-dev (>= 5.80.0~),
+               libkf5guiaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5iconthemes-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5notifications-dev (>= 5.80.0~),
+               libkf5parts-dev (>= 5.80.0~),
+               libkf5service-dev (>= 5.80.0~),
+               libkf5textwidgets-dev (>= 5.80.0~),
+               libkf5unitconversion-dev (>= 5.80.0~),
+               libkf5widgetsaddons-dev (>= 5.80.0~),
+               libkf5windowsystem-dev (>= 5.80.0~),
+               libkf5xmlgui-dev (>= 5.80.0~),
                libqt5svg5-dev (>= 5.14.0~),
                libqt5x11extras5-dev (>= 5.14.0~),
                libsm-dev,
@@ -40,7 +40,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
-               qttools5-dev (>= 5.14.0~)
+               qttools5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kdelibs4support
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdelibs4support
@@ -68,32 +68,32 @@
 Package: libkf5kdelibs4support-dev
 Section: libdevel
 Architecture: any
-Depends: kgendesignerplugin (>= 5.78.0~),
-         kinit-dev (>= 5.74.0~),
-         libkf5archive-dev (>= 5.74.0~),
-         libkf5auth-dev (>= 5.74.0~),
-         libkf5configwidgets-dev (>= 5.78.0~),
-         libkf5coreaddons-dev (>= 5.74.0~),
-         libkf5crash-dev (>= 5.78.0~),
-         libkf5dbusaddons-dev (>= 5.78.0~),
-         libkf5doctools-dev (>= 5.78.0~),
-         libkf5emoticons-dev (>= 5.78.0~),
-         libkf5globalaccel-dev (>= 5.78.0~),
-         libkf5guiaddons-dev (>= 5.78.0~),
-         libkf5iconthemes-dev (>= 5.78.0~),
-         libkf5itemmodels-dev (>= 5.74.0~),
+Depends: kgendesignerplugin (>= 5.80.0~),
+         kinit-dev (>= 5.80.0~),
+         libkf5archive-dev (>= 5.80.0~),
+         libkf5auth-dev (>= 5.80.0~),
+         libkf5configwidgets-dev (>= 5.80.0~),
+         libkf5coreaddons-dev (>= 5.80.0~),
+         libkf5crash-dev (>= 5.80.0~),
+         libkf5dbusaddons-dev (>= 5.80.0~),
+         libkf5doctools-dev (>= 5.80.0~),
+         libkf5emoticons-dev (>= 5.80.0~),
+         libkf5globalaccel-dev (>= 5.80.0~),
+         libkf5guiaddons-dev (>= 5.80.0~),
+         libkf5iconthemes-dev (>= 5.80.0~),
+         libkf5itemmodels-dev (>= 5.80.0~),
          libkf5kdelibs4support5 (= ${binary:Version}),
          libkf5kdelibs4support5-bin (= ${binary:Version}),
-         libkf5notifications-dev (>= 5.78.0~),
-         libkf5parts-dev (>= 5.78.0~),
-         libkf5textwidgets-dev (>= 5.78.0~),
-         libkf5unitconversion-dev (>= 5.78.0~),
-         libkf5windowsystem-dev (>= 5.78.0~),
+         libkf5notifications-dev (>= 5.80.0~),
+         libkf5parts-dev (>= 5.80.0~),
+         libkf5textwidgets-dev (>= 5.80.0~),
+         libkf5unitconversion-dev (>= 5.80.0~),
+         libkf5windowsystem-dev (>= 5.80.0~),
          libqt5svg5-dev (>= 5.14.0~),
          libqt5x11extras5-dev (>= 5.14.0~),
          libssl-dev,
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for kde4support
  This framework provides code and utilities to ease
  the transition from kdelibs 4 to KDE Frameworks 5.

## kdelibs4support 5.86.0

=== debian/changelog ===
kdelibs4support (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:16 +0100

kdelibs4support (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:26:08 +0100

kdelibs4support (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:25 +0100

kdelibs4support (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:18 +0100

kdelibs4support (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:48 +0100

kdelibs4support (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,30 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
-               kded5-dev (>= 5.80.0~),
-               kgendesignerplugin (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               kded5-dev (>= 5.86.0~),
+               kgendesignerplugin (>= 5.86.0~),
                libintl-perl,
-               libkf5completion-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5configwidgets-dev (>= 5.80.0~),
-               libkf5crash-dev (>= 5.80.0~),
-               libkf5dbusaddons-dev (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
-               libkf5emoticons-dev (>= 5.80.0~),
-               libkf5globalaccel-dev (>= 5.80.0~),
-               libkf5guiaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5iconthemes-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5notifications-dev (>= 5.80.0~),
-               libkf5parts-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
-               libkf5textwidgets-dev (>= 5.80.0~),
-               libkf5unitconversion-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5windowsystem-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               libkf5completion-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5configwidgets-dev (>= 5.86.0~),
+               libkf5crash-dev (>= 5.86.0~),
+               libkf5dbusaddons-dev (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
+               libkf5emoticons-dev (>= 5.86.0~),
+               libkf5globalaccel-dev (>= 5.86.0~),
+               libkf5guiaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5notifications-dev (>= 5.86.0~),
+               libkf5parts-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
+               libkf5textwidgets-dev (>= 5.86.0~),
+               libkf5unitconversion-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5windowsystem-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                libqt5svg5-dev (>= 5.14.0~),
                libqt5x11extras5-dev (>= 5.14.0~),
                libsm-dev,
@@ -68,27 +68,27 @@
 Package: libkf5kdelibs4support-dev
 Section: libdevel
 Architecture: any
-Depends: kgendesignerplugin (>= 5.80.0~),
-         kinit-dev (>= 5.80.0~),
-         libkf5archive-dev (>= 5.80.0~),
-         libkf5auth-dev (>= 5.80.0~),
-         libkf5configwidgets-dev (>= 5.80.0~),
-         libkf5coreaddons-dev (>= 5.80.0~),
-         libkf5crash-dev (>= 5.80.0~),
-         libkf5dbusaddons-dev (>= 5.80.0~),
-         libkf5doctools-dev (>= 5.80.0~),
-         libkf5emoticons-dev (>= 5.80.0~),
-         libkf5globalaccel-dev (>= 5.80.0~),
-         libkf5guiaddons-dev (>= 5.80.0~),
-         libkf5iconthemes-dev (>= 5.80.0~),
-         libkf5itemmodels-dev (>= 5.80.0~),
+Depends: kgendesignerplugin (>= 5.86.0~),
+         kinit-dev (>= 5.86.0~),
+         libkf5archive-dev (>= 5.86.0~),
+         libkf5auth-dev (>= 5.86.0~),
+         libkf5configwidgets-dev (>= 5.86.0~),
+         libkf5coreaddons-dev (>= 5.86.0~),
+         libkf5crash-dev (>= 5.86.0~),
+         libkf5dbusaddons-dev (>= 5.86.0~),
+         libkf5doctools-dev (>= 5.86.0~),
+         libkf5emoticons-dev (>= 5.86.0~),
+         libkf5globalaccel-dev (>= 5.86.0~),
+         libkf5guiaddons-dev (>= 5.86.0~),
+         libkf5iconthemes-dev (>= 5.86.0~),
+         libkf5itemmodels-dev (>= 5.86.0~),
          libkf5kdelibs4support5 (= ${binary:Version}),
          libkf5kdelibs4support5-bin (= ${binary:Version}),
-         libkf5notifications-dev (>= 5.80.0~),
-         libkf5parts-dev (>= 5.80.0~),
-         libkf5textwidgets-dev (>= 5.80.0~),
-         libkf5unitconversion-dev (>= 5.80.0~),
-         libkf5windowsystem-dev (>= 5.80.0~),
+         libkf5notifications-dev (>= 5.86.0~),
+         libkf5parts-dev (>= 5.86.0~),
+         libkf5textwidgets-dev (>= 5.86.0~),
+         libkf5unitconversion-dev (>= 5.86.0~),
+         libkf5windowsystem-dev (>= 5.86.0~),
          libqt5svg5-dev (>= 5.14.0~),
          libqt5x11extras5-dev (>= 5.14.0~),
          libssl-dev,
